libzypp 17.37.10

zyppng::SockAddr Class Referenceabstract

`#include <zypp-core/zyppng/io/sockaddr.h>`

Inheritance diagram for zyppng::SockAddr:

## Public Member Functions
virtual | ~SockAddr ()
virtual struct::sockaddr * | nativeSockAddr () const =0
virtual std::size_t | size () const =0

## Detailed Description

Definition at line 26 of file sockaddr.h.

## Constructor & Destructor Documentation

## ◆ ~SockAddr()

virtual zyppng::SockAddr::~SockAddr | ( |  | ) |
| inline virtual

Definition at line 28 of file sockaddr.h.

## Member Function Documentation

## ◆ nativeSockAddr()

virtual struct::sockaddr * zyppng::SockAddr::nativeSockAddr | ( |  | ) | const
| pure virtual

Implemented in zyppng::UnixSockAddr.

## ◆ size()

virtual std::size_t zyppng::SockAddr::size | ( |  | ) | const
| pure virtual

Implemented in zyppng::UnixSockAddr.

The documentation for this class was generated from the following file:

- zypp-core/zyppng/io/sockaddr.h